require 'helper'

class TestSimpleHashDispatcher < Test::Unit::TestCase


  def setup
    responder = RedPack::NullResponder.new
    kvs = {
      :add => lambda {|a, b| return a+b},
      :add1 => lambda {|a| return a.succ},
    }
    @dispatcher = RedPack::SimpleHashDispatcher.new(kvs, responder)
  end


  def test_calls
    begin
      @dispatcher.dispatch(nil, :add, [1, 2])
      assert(true)

      @dispatcher.dispatch(nil, :add1, [1])
      assert(true)

      @dispatcher.dispatch(nil, :mul, [1, 1])
      assert(false, "never-reach")
    rescue
      assert(true)
    end
  end


end
